Transport Tycoon Forums

The place to talk about Transport Tycoon
It is currently Tue Oct 16, 2018 7:01 am

All times are UTC




Post new topic  Reply to topic  [ 23 posts ]  Go to page 1 2 Next
Author Message
 Post subject: OTTD 1.8.0 doesn't work!
PostPosted: Tue Apr 10, 2018 11:56 pm 
Offline
Engineer
Engineer
User avatar

Joined: Sun Aug 14, 2005 8:55 am
Posts: 70
Hi,

Some minutes ago I tried to update OTTD 1.7.2 to 1.8.0 the way I always updated OTTD but when I wanted to start I only saw this:

"ERROR - No available language packs (invalid versions?)" then starting process aborted.

Doesn't work it no longer with Win 8.1???

Now I downgraded OTTD to 1.7.2 ... :(

Transporter


Last edited by Transporter on Fri Apr 13, 2018 2:28 pm, edited 1 time in total.

Top
   
PostPosted: Wed Apr 11, 2018 12:57 am 
Offline
Graphics Moderator
Graphics Moderator
User avatar

Joined: Mon Sep 13, 2004 1:21 pm
Posts: 5304
Location: The Moon
Transporter wrote:
the way I always updated OTTD


Ahh, the QA flashbacks. "It usually works" isn't a useful error report without defining what "it" is, and deciding that a launch error means your OS is no longer supported is quite a deductive leap.

Anyway, if all you did is compile the exe and drop it into an older OpenTTD install, the translations in the /lang folder are out of date. You need to update those too.

_________________
Pikkarail.com blog | Patreon
Dev reference: NML Specs - NewGRF Specs - Savegame Internals - NoAi API - NoGo API


Top
   
PostPosted: Wed Apr 11, 2018 1:06 am 
Offline
Tycoon
Tycoon
User avatar

Joined: Sat Jan 22, 2005 7:31 pm
Posts: 6348
Location: Wakefield, West Yorkshire
I've run OpenTTD on Windows 98SE machines. With mostly success, if OpenTTD has one thing going for it, its relatively good with supporting old OS's. I'm not sure how deep down they go in Linux versions, but certainly Windows goes all the way to times of yonder.

_________________
Image
Worst Behaved IRC Member of 2008, 2009 & 2010 - Go Me!


Top
   
PostPosted: Wed Apr 11, 2018 2:55 am 
Offline
Tycoon
Tycoon
User avatar

Joined: Sat Aug 16, 2008 10:26 pm
Posts: 3835
Skype: neko-master
Location: Oshawa, Ontario, CANADA
Transporter wrote:
Hi,

Some minutes ago I tried to update OTTD 1.7.2 to 1.8.0 the way I always updated OTTD but when I wanted to start I only saw this:

"ERROR - No available language packs (invalid versions?)" then starting process aborted.

Doesn't work it no longer with Win 8.1???

Now I downgraded OTTD to 1.7.2 ... :(

Transporter


If you

I'm on Windows 10 and the 64 bit version of 1.8.0 works just fine.

I keep a separate folder for each version of OpenTTD I have in case I need an old version for older patch packs. So I have a Install folder for 1.6.1, 1.7.2, and 1.8.0 for the STable versions.

_________________
Image Proud Canadian Image
Nekomasters Projects! (Downloads available on BaNaNaS!) \(>^w^<)/
# NARS ADD-ON SET 2CC | 2cc Rapid Transit For Me! (2ccRTFM) | 2cc Wagons In NML (2ccWIN)
# NML Category System (Organize your GRFS!) <- TT-Forums Exclusive Download!


Top
   
PostPosted: Wed Apr 11, 2018 3:13 am 
Offline
Tycoon
Tycoon
User avatar

Joined: Mon Sep 28, 2009 5:15 pm
Posts: 6179
Location: Eastern KY
[quote="Transporter"]Some minutes ago I tried to update OTTD 1.7.2 to 1.8.0 the way I always updated.../quote]

What is the way that you always updated?

_________________
Do you like drones, quadcopters & flying toys? Check out Drone Strike Force!
Image

Base Music Sets: OpenMSX | Scott Joplin Anthology | Traditional Winter Holiday Music | Modern Motion Music
Other Projects: 2CC Trams | Modern Waypoints | Sprite Sandbox & NewGRF Releases | Ideabox | Town Names | Isle of Sodor Scenario | Random Sprite Repository
Misc Topics: My Screenshots | Forgotten NewGRFs | Unfinished Graphics Sets | Stats Shack | RoadTypes?


Top
   
PostPosted: Wed Apr 11, 2018 7:05 am 
Offline
Engineer
Engineer
User avatar

Joined: Sun Aug 14, 2005 8:55 am
Posts: 70
What is the way that you always updated?[/quote]


Unzip the game in my OTTD folder, replace all files WinZip wants to replace.


Top
   
PostPosted: Thu Apr 12, 2018 2:08 am 
Offline
Tycoon
Tycoon
User avatar

Joined: Mon Sep 28, 2009 5:15 pm
Posts: 6179
Location: Eastern KY
Transporter wrote:
Kamnet wrote:
What is the way that you always updated?

Unzip the game in my OTTD folder, replace all files WinZip wants to replace.


I'm going to guess that either the new language packs did not get unzipped, or got corrupted. I would try deleting the /lang/ folder and unpacking it again.

_________________
Do you like drones, quadcopters & flying toys? Check out Drone Strike Force!
Image

Base Music Sets: OpenMSX | Scott Joplin Anthology | Traditional Winter Holiday Music | Modern Motion Music
Other Projects: 2CC Trams | Modern Waypoints | Sprite Sandbox & NewGRF Releases | Ideabox | Town Names | Isle of Sodor Scenario | Random Sprite Repository
Misc Topics: My Screenshots | Forgotten NewGRFs | Unfinished Graphics Sets | Stats Shack | RoadTypes?


Top
   
PostPosted: Thu Apr 12, 2018 6:31 am 
Offline
Tycoon
Tycoon
User avatar

Joined: Sat Aug 16, 2008 10:26 pm
Posts: 3835
Skype: neko-master
Location: Oshawa, Ontario, CANADA
Transporter wrote:
What is the way that you always updated?



Unzip the game in my OTTD folder, replace all files WinZip wants to replace.[/quote]

Its not really a good idea to do it that way because you can sometimes run into issues. Its best to just remove all the files in the folder and unzip the files from the new version into that folder.

Even better is just using separate folders for each version of OpenTTD (it might be a good idea to keep an older version around at least for a little while incase the new version has some bug(s) that break the game for you)

_________________
Image Proud Canadian Image
Nekomasters Projects! (Downloads available on BaNaNaS!) \(>^w^<)/
# NARS ADD-ON SET 2CC | 2cc Rapid Transit For Me! (2ccRTFM) | 2cc Wagons In NML (2ccWIN)
# NML Category System (Organize your GRFS!) <- TT-Forums Exclusive Download!


Top
   
PostPosted: Thu Apr 12, 2018 10:49 am 
Offline
Tycoon
Tycoon
User avatar

Joined: Thu Mar 22, 2012 11:10 am
Posts: 3493
Location: West Java
Transporter wrote:
kamet wrote:
What is the way that you always updated?

Unzip the game in my OTTD folder, replace all files WinZip wants to replace.

Never a good way to update.

Completely delete the old installation, then unzip.

Or just unzip it somewhere else - OpenTTD always looks for the OpenTTD folder in the Documents folder, your saves and NewGRFs and AIs and so on should be good.

_________________
YNM = yoursNotMine - Don't get it ?


Top
   
PostPosted: Thu Apr 12, 2018 10:55 am 
Offline
OpenTTD Developer
OpenTTD Developer

Joined: Wed Mar 30, 2005 9:43 am
Posts: 1535
Why not just use the installer and just point it to a separate directory?

_________________
He's like, some kind of OpenTTD developer.


Top
   
PostPosted: Fri Apr 13, 2018 1:42 am 
Offline
Tycoon
Tycoon
User avatar

Joined: Sat Aug 16, 2008 10:26 pm
Posts: 3835
Skype: neko-master
Location: Oshawa, Ontario, CANADA
peter1138 wrote:
Why not just use the installer and just point it to a separate directory?


There really isn't any point after you've installed OpenTTD once with all the graphics and what not, its fiarly quick if your good with computers to just make a new folder and unzip the contents to that folder.

_________________
Image Proud Canadian Image
Nekomasters Projects! (Downloads available on BaNaNaS!) \(>^w^<)/
# NARS ADD-ON SET 2CC | 2cc Rapid Transit For Me! (2ccRTFM) | 2cc Wagons In NML (2ccWIN)
# NML Category System (Organize your GRFS!) <- TT-Forums Exclusive Download!


Top
   
PostPosted: Fri Apr 13, 2018 8:12 am 
Offline
OpenTTD Developer
OpenTTD Developer

Joined: Wed Mar 30, 2005 9:43 am
Posts: 1535
NekoMaster wrote:
its fiarly quick if your good with computers to just make a new folder and unzip the contents to that folder.

Apparently not quicker when you apparently do it wrong, decide OpenTTD doesn't work on your OS any more, and then make a forum post about it, wait for a response, etc. I'd just run the installer myself.

_________________
He's like, some kind of OpenTTD developer.


Top
   
PostPosted: Fri Apr 13, 2018 2:26 pm 
Offline
Engineer
Engineer
User avatar

Joined: Sun Aug 14, 2005 8:55 am
Posts: 70
I update this way to keep my savegames and newgfx and so on. It always worked with no problems. Also downgrading works so that I furthermore can play OTTD 1.7.2 as 1.8.0 not works.

!!! BUT !!!

I unzipped OTTD in a new folder for a test and it also doesn't work. So I will wait for 1.9.0. OTTD 1.7.2 is a nice game, too.


Top
   
PostPosted: Fri Apr 13, 2018 3:14 pm 
Offline
Tycoon
Tycoon
User avatar

Joined: Sat Aug 16, 2008 10:26 pm
Posts: 3835
Skype: neko-master
Location: Oshawa, Ontario, CANADA
Transporter wrote:
I update this way to keep my savegames and newgfx and so on. It always worked with no problems. Also downgrading works so that I furthermore can play OTTD 1.7.2 as 1.8.0 not works.

!!! BUT !!!

I unzipped OTTD in a new folder for a test and it also doesn't work. So I will wait for 1.9.0. OTTD 1.7.2 is a nice game, too.


What isn't working when you run 1.8.0 on Windows 10? its working just fine for me with no issues.

Also your saves and newGRF's end up in your "Documents/OpenTTD" folder (unless you've made a portable install by putting your openttd.cfg configuration file in the same folder with the EXE)
You should't loose anything if your OpenTTD folder and its contents remains in your Documents folder.

Its very much possible your doing something wrong here if OpenTTD 1.8.0 isn't working for you (Plus it was designed to incorperate a fix for the right mouse button since the latest updates to WIndows 10 broke right mouse scrolling on older versions)

_________________
Image Proud Canadian Image
Nekomasters Projects! (Downloads available on BaNaNaS!) \(>^w^<)/
# NARS ADD-ON SET 2CC | 2cc Rapid Transit For Me! (2ccRTFM) | 2cc Wagons In NML (2ccWIN)
# NML Category System (Organize your GRFS!) <- TT-Forums Exclusive Download!


Top
   
PostPosted: Fri Apr 13, 2018 10:48 pm 
Offline
Tycoon
Tycoon
User avatar

Joined: Mon Sep 28, 2009 5:15 pm
Posts: 6179
Location: Eastern KY
If my suggested correction did not resolve the problem, then your installation is likely corrupted. At this point, I would suggest you remove everything except your newgrf, scenario and savegame folders, back up your openttd.cfg file, and then reinstall using the installer program. Waiting a year for OpenTTD 1.9.0 isn't going to fix your problem, and likely will make it worse.

_________________
Do you like drones, quadcopters & flying toys? Check out Drone Strike Force!
Image

Base Music Sets: OpenMSX | Scott Joplin Anthology | Traditional Winter Holiday Music | Modern Motion Music
Other Projects: 2CC Trams | Modern Waypoints | Sprite Sandbox & NewGRF Releases | Ideabox | Town Names | Isle of Sodor Scenario | Random Sprite Repository
Misc Topics: My Screenshots | Forgotten NewGRFs | Unfinished Graphics Sets | Stats Shack | RoadTypes?


Top
   
PostPosted: Tue Apr 17, 2018 9:06 pm 
Offline
Engineer
Engineer
User avatar

Joined: Sun Aug 14, 2005 8:55 am
Posts: 70
What isn't working when you run 1.8.0 on Windows 10? (NekoMaster)

Please read my first post!


Top
   
PostPosted: Tue Apr 17, 2018 9:10 pm 
Offline
Engineer
Engineer
User avatar

Joined: Sun Aug 14, 2005 8:55 am
Posts: 70
kamnet wrote:
If my suggested correction did not resolve the problem, then your installation is likely corrupted. At this point, I would suggest you remove everything except your newgrf, scenario and savegame folders, back up your openttd.cfg file, and then reinstall using the installer program. Waiting a year for OpenTTD 1.9.0 isn't going to fix your problem, and likely will make it worse.



When 1.8.0 doesn't work as a new installation in a new folder, what helps except of waiting for the next version?


Top
   
PostPosted: Wed Apr 18, 2018 4:19 am 
Offline
Tycoon
Tycoon
User avatar

Joined: Mon Sep 28, 2009 5:15 pm
Posts: 6179
Location: Eastern KY
Transporter wrote:
kamnet wrote:
If my suggested correction did not resolve the problem, then your installation is likely corrupted. At this point, I would suggest you remove everything except your newgrf, scenario and savegame folders, back up your openttd.cfg file, and then reinstall using the installer program. Waiting a year for OpenTTD 1.9.0 isn't going to fix your problem, and likely will make it worse.



When 1.8.0 doesn't work as a new installation in a new folder, what helps except of waiting for the next version?


Well, let's take a step back and try do diagnose what's going on. Start with using Windows to do a complete uninstall of OpenTTD. Verify that all files and folders are removed. Then I'd suggest using a program to clean up your registry just to make sure you're not going to encounter any problems.

After this, run the OpenTTD installer, then try to run the game again. If you encounter any errors, document them and report them here. If any crash files were created, copy them and upload them here as well.

_________________
Do you like drones, quadcopters & flying toys? Check out Drone Strike Force!
Image

Base Music Sets: OpenMSX | Scott Joplin Anthology | Traditional Winter Holiday Music | Modern Motion Music
Other Projects: 2CC Trams | Modern Waypoints | Sprite Sandbox & NewGRF Releases | Ideabox | Town Names | Isle of Sodor Scenario | Random Sprite Repository
Misc Topics: My Screenshots | Forgotten NewGRFs | Unfinished Graphics Sets | Stats Shack | RoadTypes?


Top
   
PostPosted: Fri Aug 10, 2018 8:10 am 
Offline
Engineer
Engineer

Joined: Fri Aug 10, 2018 7:53 am
Posts: 2
I found this thread as I was having 'No available language pack (invalid versions?)' error also after upgrading OpenTTD from 1.7.2 to 1.8.0 on Win 10 today. I'm using the installer .exe for upgrading and that has worked always.

The error is not about the *older* outdated language pack, these where all from April 1st, so v1.8.0. But openttd.exe itself was older (the 1.7.2 from Dec.'17 was still in de folder).
'Invalid versions' is the correct statement in the error, but it reads a little bit as if the language pack is the cause.

How to reproduce: Keep OpenTTD v1.7.2 running as you are installing the new version with the installer. It updates almost everything, but not the openttd.exe (and doesn't warn for that).
Stopping OpenTTD and installing 1.8.0 again fixes the problem.


Top
   
PostPosted: Fri Aug 10, 2018 1:03 pm 
Offline
Tycoon
Tycoon

Joined: Wed Jan 17, 2007 12:14 am
Posts: 7155
I'm fairly sure every installer in the history of installers told you to quit all running programs before continuing

_________________
You might not exactly be interested in Ferion, but if you are, have fun :)


Top
   
Display posts from previous:  Sort by  
Post new topic  Reply to topic  [ 23 posts ]  Go to page 1 2 Next

All times are UTC


Who is online

Users browsing this forum: No registered users and 2 guests


You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot post attachments in this forum

Search for:
Jump to:  
Powered by phpBB © 2000-2018 phpBB Limited

Copyright © Owen Rudge/The Transport Tycoon Forums 2001-2018.
Hosted by Zernebok Hosting.